Attribute VB_Name = "COLLECTION_R"
Option Explicit

' Модуль работы с коллекциями
''************************************
' удаление Link строки из коллекций
Sub DELETE_LINK_FROM_COLLECTION(ByVal CollectionName As String, ByVal ValueSet As Integer, ByVal page As Integer)
    Application.ScreenUpdating = False
    On Error Resume Next
    Select Case CollectionName
            Case "UPD"
                pUPDColl(page).Remove (VBA.Trim(VBA.str(ValueSet)))
            Case "DEL"
                pDELColl(page).Remove (VBA.Trim(VBA.str(ValueSet)))
            Case "INS"
                pINSColl(page).Remove (VBA.Trim(VBA.str(ValueSet)))
            Case "NOTEMPTY"
                pNotEmptyColl(page).Remove (VBA.Trim(VBA.str(ValueSet)))
    End Select
    If Err.Number <> 5 And Err.Number <> 0 Then
       MsgBox (Err.Description)
    End If
    On Error GoTo 0
    Application.ScreenUpdating = True
End Sub
'************************************
' добавление Link строки в коллекции
Sub INSERT_LINK_IN_COLLECTION(ByVal CollectionName As String, ByVal ValueSet As Integer, ByVal page As Integer)
    Application.ScreenUpdating = False
    ' надо посмотреть а если уже это значение
    On Error Resume Next
    Select Case CollectionName
            Case "UPD"
                pUPDColl(page).Add ValueSet, VBA.Trim(VBA.str(ValueSet))
            Case "DEL"
                pDELColl(page).Add ValueSet, VBA.Trim(VBA.str(ValueSet))
            Case "INS"
                pINSColl(page).Add ValueSet, VBA.Trim(VBA.str(ValueSet))
    End Select
    If Err.Number <> 457 And Err.Number <> 0 Then ' Такой объект уже есть
       MsgBox (Err.Description)
    End If
    On Error GoTo 0
    Application.ScreenUpdating = True
End Sub


